package common.block;

import common.item.Item;
import common.util.BlockPos;
import common.util.BoundingBox;
import common.world.State;
import common.world.World;

public final class BlockAir extends Block {
	public BlockAir() {
		super(Material.NONE);
	}

	public int getRenderType() {
		return -1;
	}

	public BoundingBox getCollisionBoundingBox(World world, BlockPos pos, State state) {
		return null;
	}

	public boolean isOpaqueCube() {
		return false;
	}

	public boolean canCollideCheck(State state, boolean liquid) {
		return false;
	}

	public void dropBlockAsItemWithChance(World world, BlockPos pos, State state, float chance, int fortune) {
	}

	public boolean isReplaceable(World world, BlockPos pos) {
		return true;
	}

	public boolean getSumBrightness() {
		return false;
	}
	
	protected Item getItemToRegister() {
		return null;
	}
}
